Checkout (public)

Start a payment from a link

Creates a new invoice for one visit to a payment link and returns its checkout URL. For a tip link, send the amount the customer chose. For a fixed-amount link, the link's amount is always used: an amount you send must still be valid, but its value is ignored. Rate limits: 60 per minute per IP address, 240 per network and 600 per link.

POST
/api/v1/payment-links/{id}/invoices

Path Parameters

id*string

Payment link id, starting with lnk_.

Request Body

application/json
  1. body
amount?Amount

Decimal string with up to 2 decimals, greater than 0.

Match^\d{1,12}(\.\d{1,2})?$

Response Body

The invoice to pay.

application/json
  1. response
id*string
status*InvoiceStatus
Value in"created""awaiting_payment""detected""processing""paid""underpaid""refunded""failed""expired"
checkout_url*string
Formaturi
Example Request
curl -X POST 'https://example.com/api/v1/payment-links/string/invoices' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "status": "created",  "checkout_url": "http://example.com"}